For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • GETList subscriptions
      • POSTCreate subscription
      • GETGet subscription
      • DELDelete subscription
      • PATCHUpdate subscription
  • Event Reference
API ReferenceEvent Subscriptions

List subscriptions

GET
https://api.plextera.com/api/public/v1/event-subscriptions
GET
/api/public/v1/event-subscriptions
$curl https://api.plextera.com/api/public/v1/event-subscriptions \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "id": "string",
5 "status": "active",
6 "endpointUrl": "string",
7 "eventTypes": [
8 "document-insights.extraction.completed"
9 ],
10 "filters": {
11 "workflowId": "claims-loader"
12 },
13 "createdAt": "2024-01-15T09:30:00Z",
14 "updatedAt": "2024-01-15T09:30:00Z"
15 }
16 ],
17 "pageInfo": {
18 "page": 1,
19 "size": 1,
20 "totalItems": 1,
21 "totalPages": 1
22 }
23}
Was this page helpful?
Previous

Create subscription

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Query parameters

pageintegerOptional
sizeintegerOptional
statusenumOptional
Allowed values:
eventTypeenumOptional
Allowed values:

Response

OK
datalist of objects
pageInfoobject